#! /bin/sh

[ -z "$MAILCOM" ] && MAILCOM=upssend.sh
[ -z "$sysdownprog" ] && doerror \"sysdownprog\" undefined!

if [ -f $MAILCOM ]; then
    $doecho \\nsave existing `pwd`/$MAILCOM to `pwd`/${MAILCOM}.bkp... \\c
    mv $MAILCOM ${MAILCOM}.bkp || doerror failed to rename $MAILCOM
    $doecho ok!; sleep 1
fi

$doecho \\nWriting default command file `pwd`/${MAILCOM}... \\c

cat > $MAILCOM<<EOF
#!/bin/sh

# This script is called by upsman when executing the function "send email"
# in the event-configuration.

# available parameters are:
# ./upssend.sh -s <subject> -r <recipient> <message>
# -s <subject>   - Email header Subject
# -r <recipient> - Recipient's Email address
# <message>      - Email body content

# check input
while [ \$# -gt 0 ]; do
        case \$1 in
                -s) U_SUBJECT=\$2; shift;;
                -r) U_RECIPIENT=\$2; shift;;
                *) break;;
        esac
        shift
done

U_MESSAGE=\$@

[ X"\$U_RECIPIENT" = X ] && U_RECIPIENT=postmaster
[ X"\$U_SUBJECT" = X ] && U_SUBJECT="UPS event"
[ X"\$U_MESSAGE" = X ] && U_MESSAGE="executing \"send mail\" on ups-event, no message configured"

# send it
echo \$U_MESSAGE | $mailprog -s "\$U_SUBJECT" \$U_RECIPIENT

exit
EOF

[ $? = 0 ] && chown root:0 $MAILCOM && chmod 774 $MAILCOM
[ $? = 0 ] || doerror failed to write $MAILCOM!

$doecho ok!; sleep 1
